Subject: Re: bug#21274: 25.0.50; epa doesn't understand GPG's default-key option

From: Daiki Ueno <[email-masked]>
Date: Thu, 20 Aug 2015 11:59:24 +0900

Richard Stallman <[email-masked]> writes:

>   > > gpg --default-key <specified-key-id> ...
>
>   > Are you sure it really works?
>
> I don't know. but the man page said it would work.
> It says
>
>        --try-secret-key name
>               For hidden recipients GPG needs to know  the  keys  to  use  for
>               trial  decryption.   The  key  set  with --default-key is always
>               tried first, but this is  often  not  sufficient.   This  option
>               allows  to  set  more  keys  to  be  used  for trial decryption.
>
> But if that doesn't actually work, then
> maybe --try-secret-key is needed.

I suspect that you are looking at the manual page of GnuPG 2.0, while
using EPA with GnuPG 1.4.  What does this evaluate to?

  M-: (assq 'version (epg-configuration))

(I was wrong about that the --default-key is used for hidden recipients
since GnuPG 2.0.  Sorry for the confusion about that.)

Regards,
-- 
Daiki Ueno